Pertanyaan Python 3, easy_install, pip dan pypi


Apakah status easy_install, pip dan repositori (pypi.python.org) saat ini berkaitan dengan Python 3.x?

Apakah ada versi easy_install dan / atau pip yang dapat menginstal versi paket yang benar dari sana? Lain, apakah mereka diharapkan segera?


32
2017-10-03 12:40


asal


Jawaban:


PyPi sendiri mendukung Python 3. The setuptools paket menyediakan versi easy_install yang berfungsi dengan Python 3.

Menurut halaman pip, pip mendukung Python 3 sejak v 1.0.


27
2017-10-03 14:11



Ada upaya berkelanjutan untuk menyediakan dukungan untuk Python 3 di pip.
Lihat Porting Pip ke Python 3 kirimkan ke milis virtualenv atau langsung menuju ke Vinay Sajip repo di bitbucket.org


1
2018-03-12 18:17



Mulai dari versi 1.0, pip mendukung Python 3.


1
2017-09-15 04:23



Perhatikan bahwa easy_install dikirimkan dengan Python 3.4 dan lebih tinggi


0
2017-08-14 14:45